import java.awt.*;
import java.awt.event.*;
import java.awt.image.*;
import java.applet.Applet;

public class Joonis1 extends Applet implements MouseListener{
  BufferedImage pilt=new BufferedImage(300, 300, 
                 BufferedImage.TYPE_INT_RGB);
  Graphics2D piltg;
  String[] varvinimed={"Sinine", "Kollane", "Roheline"};
  Color[]  varvid={Color.blue, Color.yellow, Color.green};
  Choice varvivalik=new Choice();
  int hax, hay;
  
  public Joonis1(){
    piltg=pilt.createGraphics();
    for(int i=0;i<varvinimed.length; i++){
      varvivalik.add(varvinimed[i]);
    }
    add(varvivalik);
    addMouseListener(this);    
  }
  public void mousePressed(MouseEvent e){
    hax=e.getX();
    hay=e.getY();
  }
  public void paint(Graphics g){
    g.drawImage(pilt, 0, 0, this);
  }
  public void mouseReleased(MouseEvent e){
    int vx=Math.min(hax, e.getX());
    int vy=Math.min(hay, e.getY());
    int sx=Math.max(hax, e.getX());
    int sy=Math.max(hay, e.getY());
    
    piltg.setColor(varvid[varvivalik.getSelectedIndex()]);
    piltg.drawOval(vx, vy, sx-vx, sy-vy);
    repaint();  
  }
  public void mouseClicked(MouseEvent e){}
  public void mouseEntered(MouseEvent e){}
  public void mouseExited(MouseEvent e){}
  public static void main(String[] argumendid){
    Frame f=new Frame();
    f.add(new Joonis1());
    f.setSize(300, 300);
    f.setVisible(true);
  }
}