import java.awt.*;
import java.awt.event.*;
import java.awt.image.*;
import java.applet.Applet;
import com.sun.image.codec.jpeg.*;
import java.io.*;
import javax.swing.*;

public class Joonis2 extends Applet  implements 
       MouseListener, ActionListener, MouseMotionListener{
  BufferedImage pilt=new BufferedImage(300, 300, 
                 BufferedImage.TYPE_INT_RGB);
  Graphics2D piltg;
  String[] varvinimed={"Sinine", "Kollane", "Roheline"};
  Color[]  varvid={Color.blue, Color.yellow, Color.green};
  Choice varvivalik=new Choice();
  Choice tegevusevalik=new Choice();
  Choice laiusevalik=new Choice();
  String[] tegevused={"Ringjoon", "Vabaksi"};
  Button salvestusnupp=new Button("Salvesta");
  Button avamisnupp=new Button("Ava");
  Button failinimenupp=new Button("Failinimi");
  TextField pilditf=new TextField("pilt1.jpg");
  int hax, hay;
  
  public Joonis2(){
    piltg=pilt.createGraphics();
    for(int i=0;i<varvinimed.length; i++){
      varvivalik.add(varvinimed[i]);
    }
    for(int i=0;i<tegevused.length; i++){
      tegevusevalik.add(tegevused[i]);
    }
    for(int i=0; i<10; i++){
      laiusevalik.add((i+1)*3+"");
    }
    add(varvivalik);
    add(tegevusevalik);
    add(laiusevalik);
    add(salvestusnupp);
    add(avamisnupp);
    add(pilditf);
    add(failinimenupp);
    salvestusnupp.addActionListener(this);
    avamisnupp.addActionListener(this);
    failinimenupp.addActionListener(this);
    addMouseMotionListener(this);
    addMouseListener(this);    
  }
  public void mousePressed(MouseEvent e){
    hax=e.getX();
    hay=e.getY();
    piltg.setStroke(new BasicStroke(
       Integer.parseInt(laiusevalik.getSelectedItem()),
       BasicStroke.CAP_ROUND, BasicStroke.JOIN_ROUND
    ));
  }
  public void paint(Graphics g){
    g.drawImage(pilt, 0, 0, this);
  }
  public void mouseReleased(MouseEvent e){
    int vx=Math.min(hax, e.getX());
    int vy=Math.min(hay, e.getY());
    int sx=Math.max(hax, e.getX());
    int sy=Math.max(hay, e.getY());
    
    piltg.setColor(varvid[varvivalik.getSelectedIndex()]);
    if(tegevusevalik.getSelectedItem().equals("Ringjoon")){
     piltg.drawOval(vx, vy, sx-vx, sy-vy);
    }
    repaint();  
  }
  public void mouseClicked(MouseEvent e){}
  public void mouseEntered(MouseEvent e){}
  public void mouseExited(MouseEvent e){}

  public void mouseMoved(MouseEvent e){}
  public void mouseDragged(MouseEvent e){
    piltg.setColor(varvid[varvivalik.getSelectedIndex()]);
      if(tegevusevalik.getSelectedItem().equals("Vabaksi")){
      piltg.drawLine(hax, hay, e.getX(), e.getY());
      hax=e.getX();
      hay=e.getY();
      repaint();      
    }
  }
  
  public void update(Graphics g){paint(g);} //et ei vilguks
  
  public void actionPerformed(ActionEvent e){
    try{
      if(e.getSource()==salvestusnupp){
        JFileChooser valija=new JFileChooser(new File("."));
        valija.setApproveButtonText("Salvesta");
        valija.setDialogTitle("Salvesta faili");
        valija.addChoosableFileFilter(
           new javax.swing.filechooser.FileFilter(){
          public boolean accept(File f){
            if(f.getName().endsWith(".jpg")){
              return true;
            } else {
              return false;
            }        
          }
          public String getDescription(){
            return "Pildifailid";
          }
        });
        valija.showOpenDialog(new JFrame());
        FileOutputStream fos=
           new FileOutputStream(valija.getSelectedFile()+"");
        JPEGCodec.createJPEGEncoder(fos).encode(pilt);
        fos.close();
      }    
      if(e.getSource()==avamisnupp){
         Image failipilt=Toolkit.getDefaultToolkit().
                      getImage(pilditf.getText());
         MediaTracker md=new MediaTracker(this);
         md.addImage(failipilt, 0);
         md.waitForAll();
         piltg.drawImage(failipilt, 0, 0, this);
         repaint();
      }    
      if(e.getSource()==failinimenupp){
        JFileChooser valija=new JFileChooser(new File("."));
        valija.showOpenDialog(new JFrame());
        pilditf.setText(valija.getSelectedFile()+"");
      }
    }catch(Exception viga){
      viga.printStackTrace();
    }
  }
  
  public static void main(String[] argumendid){
    Frame f=new Frame();
    f.add(new Joonis2());
    f.setSize(300, 300);
    f.setVisible(true);
  }
}